stages:
  - static_tests
  - build
  - deploy

include:
  - remote: 'https://jobs.r2devops.io/pages.yml'
  - remote: 'https://jobs.r2devops.io/super_linter.yml?scope=0.yml'
  - remote: 'https://jobs.r2devops.io/gitleaks.yml?scope=0.yml'

build:
  stage: build
  image: node:14.15.3 # change to match your project's node version
  variables:
    NODE_ENV: development
    REACT_APP_BACKEND_URI: "https://v2.lspd.app"
    REACT_APP_NAME: "LSPD | Powered by FiveRP"
    PORT: 80
  cache:
    paths:
      - node_modules/
  script:
    - rm -rf build
    - yarn install --frozen-lockfile
    - yarn build
    - mv build website_build
  artifacts:
    when: always
    expose_as: "REACT build"
    paths:
      - "website_build/"
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
    - if: '$CI_COMMIT_BRANCH == "dev"'

pages:
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
    - if: '$CI_COMMIT_BRANCH == "dev"'